package com.swago.baseswago.model.live;

import java.util.List;

/**
 * @date 2021/10/23 09:51
 * description:
 */
public class RoomUserModel {

    /**
     * count : 0
     * list : [{"user_id":"","user_name":"","user_account":"","user_head_img_url":"","enter_broadcast_at":""}]
     */

    private int count;
    /**
     * user_id :
     * user_name :
     * user_account :
     * user_head_img_url :
     * enter_broadcast_at :
     */

    private List<ListBean> list;

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        private String user_id;
        private String user_name;
        private String user_account;
        private String user_head_img_url;
        private String enter_broadcast_at;
        private int user_sex;
        private int user_age;
        private int is_benefit;
        private int user_wealth_level;
        private int is_service;
        private int is_official;
        private int is_crown;
        private int is_cup;

        public String getUser_id() {
            return user_id;
        }

        public void setUser_id(String user_id) {
            this.user_id = user_id;
        }

        public String getUser_name() {
            return user_name;
        }

        public void setUser_name(String user_name) {
            this.user_name = user_name;
        }

        public String getUser_account() {
            return user_account;
        }

        public void setUser_account(String user_account) {
            this.user_account = user_account;
        }

        public String getUser_head_img_url() {
            return user_head_img_url;
        }

        public void setUser_head_img_url(String user_head_img_url) {
            this.user_head_img_url = user_head_img_url;
        }

        public String getEnter_broadcast_at() {
            return enter_broadcast_at;
        }

        public void setEnter_broadcast_at(String enter_broadcast_at) {
            this.enter_broadcast_at = enter_broadcast_at;
        }

        public int getUser_sex() {
            return user_sex;
        }

        public void setUser_sex(int user_sex) {
            this.user_sex = user_sex;
        }

        public int getUser_age() {
            return user_age;
        }

        public void setUser_age(int user_age) {
            this.user_age = user_age;
        }

        public int getIs_benefit() {
            return is_benefit;
        }

        public void setIs_benefit(int is_benefit) {
            this.is_benefit = is_benefit;
        }


        public int getUser_wealth_level() {
            return user_wealth_level;
        }

        public void setUser_wealth_level(int user_wealth_level) {
            this.user_wealth_level = user_wealth_level;
        }

        public int getIs_service() {
            return is_service;
        }

        public void setIs_service(int is_service) {
            this.is_service = is_service;
        }

        public int getIs_official() {
            return is_official;
        }

        public void setIs_official(int is_official) {
            this.is_official = is_official;
        }

        public int getIs_crown() {
            return is_crown;
        }

        public void setIs_crown(int is_crown) {
            this.is_crown = is_crown;
        }

        public int getIs_cup() {
            return is_cup;
        }

        public void setIs_cup(int is_cup) {
            this.is_cup = is_cup;
        }
    }
}
